import { User } from "./userEntity";

interface UserStore {
  /* ---------------------------------- State --------------------------------- */
  user: User | undefined;
  isLoading: boolean;
  isUpdating: boolean;
  /* --------------------------------- Actions -------------------------------- */
  loadUser(): Promise<User>;
  setUser(user: User): void;
  updateUser(user: Partial<User>): Promise<void>;
}

export type { UserStore };
